# Import Packages
import numpy as np
import pandas as pd

n_headers = 6

filePath = 'POPULATION DATA\\gpw_v4_population_density_rev11_2020_30_sec_2.asc'

f_csv = pd.read_csv(filePath)

linecount = 0
m_lines = []

for line in f_csv:
    print(line)
    if (linecount < n_headers):
        s_line = line.split(' ')
        if (s_line[0] == 'ncols'):
            n_linesize = int(s_line[-1])
        elif (s_line[0] == 'xllcorner'):
            x_start = float(s_line[-1])
        elif (s_line[0] == 'yllcorner'):
            y_start = float(s_line[-1])
        elif (s_line[0] == 'cellsize'):
            n_stepsize = float(s_line[-1])
        elif (s_line[0] == 'NODATA_value'):
            n_fillvalue = float(s_line[-1])
    else:
        s_line = line.split(' ')[:n_linesize]
        v_line = [float(val) for val in s_line]
        v_line[v_line == n_fillvalue] = np.nan;
        m_lines = np.r_[(m_lines,v_line)]
    linecount += 1
    print(linecount)
